Attribute VB_Name = "modAPIDeclares"

Option Explicit

''''''''''''''''''''''''''''''''''''''
'' PeekMessage
Public Const PM_REMOVE = &H1

''''''''''''''''''''''''''''''''''''''
'' Mouse Related Messages
Public Const WM_MOUSEFIRST = &H200
Public Const WM_MOUSELAST = &H209
Public Const WM_RBUTTONDOWN = &H204
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_RBUTTONUP = &H205
Public Const WM_LBUTTONUP = &H202
Public Const WM_MOUSEMOVE = &H200

'''''''''''''''''''''''''''''''''''''
'' BitBlt Consts
Public Const SRCCOPY = &HCC0020
Public Const SRCINVERT = &H660046

''''''''''''''''''''''''''''''''''''''
'' PatBlt Constants
Public Const DINV = 3
Public Const DSTINVERT = &H550009

Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Type POINTAPI
        x As Long
        y As Long
End Type

Type Size
        cx As Long
        cy As Long
End Type

Type msg
    hWnd As Long
    message As Long
    wParam As Long
    lParam As Long
    time As Long
    pt As POINTAPI
End Type


''''''''''''''''''''''''''''''''''''''''''''''''''''
'' Window Message handler routines
Declare Function PeekMessage Lib "user32" Alias "PeekMessageA" _
    (lpMsg As msg, ByVal hWnd As Long, ByVal wMsgFilterMin As Long, _
    ByVal wMsgFilterMax As Long, ByVal wRemoveMsg As Long) As Long
Declare Function WaitMessage Lib "user32" () As Long
Declare Function TranslateMessage Lib "user32" (lpMsg As msg) As Long
Declare Function DispatchMessage Lib "user32" Alias "DispatchMessageA" _
    (lpMsg As msg) As Long
Declare Function PostMessage Lib "user32" Alias "PostMessageA" _
    (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, _
        ByVal lParam As Long) As Long



'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'' Mouse Capture routines
Public Declare Function SetCapture Lib "user32" (ByVal hWnd As Long) As Long
Public Declare Function ReleaseCapture Lib "user32" () As Long
Declare Function GetCapture Lib "user32" () As Long


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'' Misc Graphics and Device Context API's
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
    
'''''''''''''''''''''''''''''''''''''''
'' Delete a divice context
Declare Function DeleteDC Lib "GDI32" (ByVal hDC As Long) As Long

'''''''''''''''''''''''''''''''''''''''
'' Delete an Object
Public Declare Function DeleteObject Lib "GDI32" _
    (ByVal hObject As Long) As Long

Declare Function GetTextExtentPoint32 Lib "GDI32" Alias "GetTextExtentPoint32A" _
    (ByVal hDC As Long, ByVal lpszString As String, ByVal cbString As Long, _
        lpSize As Size) As Long

Public Declare Function IsRectEmpty Lib "user32" (lpRect As RECT) As Long

Public Declare Function PatBlt Lib "GDI32" (ByVal hDC As Long, _
    ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, _
    ByVal nHeight As Long, ByVal dwRop As Long) As Long

Public Declare Function Rectangle Lib "GDI32" (ByVal hDC As Long, _
    ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, _
        ByVal Y2 As Long) As Long

Public Declare Function ScreenToClient Lib "user32" (ByVal hWnd As Long, _
    lpPoint As POINTAPI) As Long

Public Declare Function SelectObject Lib "GDI32" (ByVal hDC As Long, _
    ByVal hObject As Long) As Long

Declare Function TextOut Lib "GDI32" Alias "TextOutA" (ByVal hDC As Long, ByVal x As Long, ByVal y As Long, ByVal lpString As String, ByVal nCount As Long) As Long
Declare Function SetTextColor Lib "GDI32" (ByVal hDC As Long, _
    ByVal crColor As Long) As Long

Declare Function SetBkColor Lib "GDI32" (ByVal hDC As Long, _
    ByVal crColor As Long) As Long

Declare Function SetForegroundWindow Lib "user32" (ByVal hWnd As Long) As Long

Public Declare Function UpdateWindow Lib "user32" (ByVal hWnd As Long) As Long

Public Declare Function WindowFromPoint Lib "user32" (ByVal xPoint As Long, _
    ByVal yPoint As Long) As Long


''''''''''''''''''''''''''''''''''''''''''''''
'' Copy bitmaps from one area to another
Declare Function BitBlt Lib "GDI32" (ByVal hDestDC As Long, _
    ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, _
    ByVal nHeight As Long, ByVal hSrcDC As Long, _
    ByVal XSrc As Long, ByVal YSrc As Long, ByVal dwRop As Long) As Long

Declare Function CreateDCNull Lib "GDI32" Alias "CreateDCA" (ByVal lpDriverName As String, ByVal lpDeviceName As String, ByVal lpOutput As String, ByVal lpInitData As Long) As Long
Public Declare Function ReleaseDC Lib "user32" (ByVal hWnd As Long, _
    ByVal hDC As Long) As Long

Declare Function GetDeviceCaps Lib "GDI32" (ByVal hDC As Long, ByVal nIndex As Long) As Long

Declare Function CreateBitmap Lib "GDI32" (ByVal nWidth As Long, _
            ByVal nHeight As Long, ByVal nPlanes As Long, _
            ByVal nBitCount As Long, lpBits As Any) As Long

Public Declare Function ClientToScreen Lib "user32" _
    (ByVal hWnd As Long, lpPoint As POINTAPI) As Long

Declare Function CreateCompatibleDC Lib "GDI32" _
    (ByVal hDC As Long) As Long


